ASTIntegerRange (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.parser.node.ASTIntegerRange class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTIntegerRange

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTIntegerRange

All Implemented Interfaces:
  Node

public class ASTIntegerRange
extends SimpleNode

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, parent, parser, rsvc, state`

Constructor Summary
`ASTIntegerRange(int id)`
`ASTIntegerRange(Parser p, int id)`

Method Summary
`java.lang.Object` | `jjtAccept(ParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`java.lang.Object` | `value(InternalContextAdapter context)` does the real work.

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, evaluate, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getType, init, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, render, setFirstToken, setInfo, setInvalid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTIntegerRange

    public ASTIntegerRange(int id)

### ASTIntegerRange

    public ASTIntegerRange(Parser p,
                           int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(ParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### value

    public java.lang.Object value(InternalContextAdapter context)
                           throws MethodInvocationException

  does the real work. Creates an Vector of Integers with the right value range

  Specified by:
    `value` in interface `Node`
  Overrides:
    `value` in class `SimpleNode`
  Parameters:
    `context` - app context used if Left or Right of .. is a ref
  Returns:
    Object array of Integers
  Throws:
    `MethodInvocationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.